Author Topic: 1.4.4 on OS X (10.11.1)  (Read 2487 times)

vedder9

  • Newbie
  • *
  • Posts: 5
    • View Profile
1.4.4 on OS X (10.11.1)
« on: November 11, 2015, 02:35:15 am »
Anyone else having issues running the latest version on 10.11?

I'm able to run the previous version with no issues, but when I try to launch the Solarus Quest Editor v1.4.4 I'm presented with an error:

"Check with the developer to make sure Solarus Quest Editor works with this version of OS X. You may need to reinstall the application."

If you look in the report, it seems to be pointing to some Qt framework.

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
  Library not loaded: @rpath/QtWidgets.framework/Versions/5/QtWidgets
  Referenced from: /Users/USER/Downloads/*/Solarus Quest Editor.app/Contents/MacOS/solarus-quest-editor
  Reason: image not found
« Last Edit: November 11, 2015, 02:36:52 am by vedder9 »

vedder9

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #1 on: December 15, 2015, 10:05:37 pm »
Nothing? I had a friend try to install it the other day on his machine and he had the exact same error (though I believe he was running 10.10.5, not 10.11). The good news is that I know the problem isn't on my machine. Unfortunately, that means there likely isn't much I can do to fix it...

Any thoughts?

Christopho

  • Administrator
  • Hero Member
  • *****
  • Posts: 1168
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #2 on: December 16, 2015, 08:49:08 am »
I contacted vlag, who maintains the Mac OS X port.

vlag

  • Newbie
  • *
  • Posts: 20
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #3 on: December 16, 2015, 09:07:54 am »
Hi,

There is indeed some known issues with the OSX port of the editor, the good news is that there is also a test version that should allow you to run it.

Could you just check if the keyboard works fine for you when running a quest through the editor ?

Christopho

  • Administrator
  • Hero Member
  • *****
  • Posts: 1168
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #4 on: December 16, 2015, 10:06:07 am »
If the editor works and only has a problem with the "run quest" feature, this is far better than not opening at all.

vedder9

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #5 on: December 20, 2015, 09:43:58 pm »
Huzzah!

Thanks gents. It does in fact load. However, you are correct in being concerned that the keyboard does not work.

It works fine if I just run Solarus 1.4.4 though, so I won't lose any sleep over it. Can't wait to dig into the new quest editor. It looks so much nicer.

Thank you both!

Mr AnonyMoose

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #6 on: January 30, 2016, 11:52:13 pm »
I'm new to solarus and I have the same problem and I can't get the quest editor to open any help?

Christopho

  • Administrator
  • Hero Member
  • *****
  • Posts: 1168
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #7 on: January 31, 2016, 09:18:13 am »
Vlag should upload a fixed version today, stay tuned.

vlag

  • Newbie
  • *
  • Posts: 20
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #8 on: January 31, 2016, 10:23:26 pm »
Hi all,

Could you just confirm that this package runs fine on a non-developer OSX environment ?
If yes, it can be used as the official 1.4.5 Solarus quest editor :)
« Last Edit: February 02, 2016, 02:35:53 pm by Christopho »

Jaace

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #9 on: February 04, 2016, 12:05:52 am »
Greetings!

I'm new here and was having trouble with the official latest 1.4.4 for OS X. This 1.4.5 package worked for me and I was able to open the Quest Editor with no issues so far -- but again, I just signed up and downloaded today so I may be missing something.

I'm having trouble running "Solarus" though, it's not opening for me.
« Last Edit: February 04, 2016, 12:11:49 am by Jaace »

vlag

  • Newbie
  • *
  • Posts: 20
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #10 on: February 04, 2016, 12:19:39 pm »
Ok thank you :)

The Solarus package is actually just provided as a template in order to create your own package, and it is currently configured to run the sample quest (the quest to run is located in Solarus.app\Contents\Resources\data).
I'll check it tonight, thanks for your feedback !

Christopho

  • Administrator
  • Hero Member
  • *****
  • Posts: 1168
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #11 on: February 04, 2016, 12:24:50 pm »
Thanks.
Is it at least possible to create a quest with the Solarus Quest editor and run it with Solarus ?

Jaace

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #12 on: February 04, 2016, 04:51:22 pm »
I was able to open the Quest Editor but when I try to run from the editor it doesn't work (I can hear the music but cannot see the screen).

Also, when I tried just opening the runtime outside of the editor, even with the editor closed, it wasn't opening at all, no music or anything.

In 1.4.4 this was the opposite issue: runtime would open and sample quest worked but I couldn't open the Quest Editor.

Christopho

  • Administrator
  • Hero Member
  • *****
  • Posts: 1168
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #13 on: February 04, 2016, 05:06:45 pm »
Ok :(
I don't undestand why it is so complicated to have a Mac OS X port of Solarus, since the code is completely portable, including third-party libraries that are all widely used and free software.

Christopho

  • Administrator
  • Hero Member
  • *****
  • Posts: 1168
    • View Profile
Re: 1.4.4 on OS X (10.11.1)
« Reply #14 on: February 04, 2016, 05:08:22 pm »
And by the way, we don't care if there are keyboard or joypad issues when running the quest from the editor in 1.4. Input problems when running the quest from the editor are already fixed in the development version (1.5).